   writew(((1<<LCD_RESET)|(1<<LCD_RS)), pIOMemory + CTRL_OFFSET);             // switch to data mode

   int x=0;
   int y=0;
   unsigned short int usColor = 0;
   unsigned short int red,green,blue = 0;

   for(y=0; y < DISP_H; y++)
     for(x=0; x < DISP_W; x++)                                           // fill display with nice gradients linewise
       {
          // red has 5 bit so we expect 0 to 31
          if(x < 32)
            {
               red = x;
               green = 0;
               blue = 0;
            }

          // green has 6 bits so we expect 0 to 63
          if((x < (32+64)) && (x >= 32))
            {
               red = 0;
               green = x - 32;
               blue = 0;
            }
          // blue has 5 bits so we expect 0 to 31
          if((x >=(32+64)) && (x < (32+64+32)))
            {
               red = 0;
               green = 0;
               blue = x - 32 - 64;
            }
          // rest of each line should be black
          if(x >= (32 + 64 + 32))
            {
               red = 0;
               green = 0;
               blue = 0;
            }


          writew(((red << 11)|(green << 5)|(blue)), pIOMemory + FIFO_OFFSET); // writes 16bit via SPI
          ndelay(2900UL);
       };

   writew(((1<<LCD_RESET)|(1<<LCD_CS)), pIOMemory + CTRL_OFFSET);             // deassert #CS
}